//
//  Cell_OrderCreatAdd.swift
//  VattiCSS
//
//  Created by Jan on 2023/8/29.
//

import UIKit

class Cell_OrderCreatAdd: UITableViewCell {
    
    @IBOutlet weak var btn_add: UIButton!
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
       
        btn_add.setTitle("新增机型".languageString(), for: .normal)
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    @IBAction func addAction(_ sender: UIButton) {
        callBack?(0)
    }
    
}


extension Cell_OrderCreatAdd: TCCell_RowCellUpdateProtocol {

    typealias DataSource = (String)
    typealias ConfigModel = TCFormCellConfigModel
    
    func row_update(callBack block: TCRowCallBack?) {
        callBack = block
    }
    
    func row_update(config data: TCFormCellConfigModel) {
      
    }
    
    func row_update(dataSource data: (String)) {
     
    }
    
}
